commit 4911f0eacbfd972a319f358e9b1be0a209b5267a
Author: Matej Zeman <zeman339@gmail.com>
Date:   Tue Apr 26 23:45:12 2022 +0200

    re #9577 Api code documentation.

diff --git a/server/sql_app/api/devices.py b/server/sql_app/api/devices.py
index e42ee85..ec5f3dc 100644
--- a/server/sql_app/api/devices.py
+++ b/server/sql_app/api/devices.py
@@ -7,8 +7,10 @@ from ..database import SessionLocal, engine
 
 models.Base.metadata.create_all(bind=engine)
 
+# prefix used for all endpoints in this file
 device = APIRouter(prefix="/api/v1")
 
+
 # Dependency
 def get_db():
     db = SessionLocal()
@@ -20,17 +22,26 @@ def get_db():
 
 @device.post("/device", response_model=schemas.Device)
 def create_device(device: schemas.DeviceCreate, db: Session = Depends(get_db)):
+    """
+    Endpoint used for creating new device
+    """
     print(crud.create_device(db=db, device=device))
 
 
 @device.get("/devices", response_model=List[schemas.Device])
 def read_devices(skip: int = 0, limit: int = 100, db: Session = Depends(get_db)):
+    """
+    Endpoint returns all devices in database
+    """
     devices = crud.get_devices(db, skip=skip, limit=limit)
     return devices
 
 
 @device.get("/device/{device_id}", response_model=schemas.Device)
 def read_device(device_id: int, db: Session = Depends(get_db)):
+    """
+    Returns one specific device by given id
+    """
     db_device = crud.get_device(db, device_id=device_id)
     if db_device is None:
         raise HTTPException(status_code=404, detail="Device not found")
diff --git a/server/sql_app/api/devices_web.py b/server/sql_app/api/devices_web.py
index 00c668d..76b3cb8 100644
--- a/server/sql_app/api/devices_web.py
+++ b/server/sql_app/api/devices_web.py
@@ -11,8 +11,11 @@ from fastapi.staticfiles import StaticFiles
 from fastapi.templating import Jinja2Templates
 
 models.Base.metadata.create_all(bind=engine)
-templates = Jinja2Templates(directory="templates/devices")
 
+# Path to html templates used in this file
+templates = Jinja2Templates(directory="../templates/devices")
+
+# prefix used for all endpoints in this file
 device_web = APIRouter(prefix="/api/v1")
 
 
@@ -27,8 +30,12 @@ def get_db():
 
 @device_web.get("/devices-web", response_class=HTMLResponse)
 async def read_devices(request: Request, skip: int = 0, limit: int = 100, db: Session = Depends(get_db)):
+    """
+    Returns template with all devices and its current states
+    """
     devices = crud.get_devices(db, skip=skip, limit=limit)
     statuses = []
+    # adding state for each device in list
     for i in range(0, len(devices)):
         statuses.append(devices[i].logs[len(devices[i].logs)-1].status)
     licenses = crud.get_licenses(db, skip=skip, limit=limit)
@@ -39,12 +46,17 @@ async def read_devices(request: Request, skip: int = 0, limit: int = 100, db: Se
 @device_web.post("/devices-web", response_class=HTMLResponse)
 async def filter_devices(request: Request, skip: int = 0, limit: int = 100, lic: str = Form("all"),
                          db: Session = Depends(get_db)):
+    """
+    Endpoint used for filtering devices by license. returns html template with only
+    devices that has assigned license defined by user input
+    """
     devices = crud.get_devices(db, skip=skip, limit=limit)
     def_devices = []
     for dev in devices:
         for l in dev.licenses:
             if dev not in def_devices and l.licenses.name == lic:
                 def_devices.append(dev)
+    # if input was default all
     if lic == "all":
         def_devices = devices
     statuses = []
@@ -57,6 +69,9 @@ async def filter_devices(request: Request, skip: int = 0, limit: int = 100, lic:
 
 @device_web.get("/device-license/{device_id}", response_class=HTMLResponse)
 async def connect_dev_lic(request: Request, device_id: int, db: Session = Depends(get_db)):
+    """
+    Returns template with one device and all available licenses that can be assigned to it.
+    """
     device = crud.get_device(db, device_id)
     licenses = crud.get_licenses(db, 0, 100)
     return templates.TemplateResponse("devicelicense.html",
@@ -66,9 +81,14 @@ async def connect_dev_lic(request: Request, device_id: int, db: Session = Depend
 @device_web.post("/devices-web/{device_id}", response_class=HTMLResponse)
 async def connect_post(request: Request, device_id: int, lic: str = Form(...), skip: int = 0, limit: int = 100,
                        db: Session = Depends(get_db)):
+    """
+    Endpoint called from template for connecting device with license. Adds entry to devices_licenses
+    table and returns template with all devices in database
+    """
     crud.create_device_license(db, device_id, int(lic), datetime.now())
     devices = crud.get_devices(db, skip=skip, limit=limit)
     statuses = []
+    # adding state for each device in list
     for i in range(0, len(devices)):
         statuses.append(devices[i].logs[len(devices[i].logs) - 1].status)
     licenses = crud.get_licenses(db, skip=skip, limit=limit)
diff --git a/server/sql_app/api/licenses.py b/server/sql_app/api/licenses.py
index b79c7b9..4eb2a3e 100644
--- a/server/sql_app/api/licenses.py
+++ b/server/sql_app/api/licenses.py
@@ -8,6 +8,7 @@ from ..database import SessionLocal, engine
 
 models.Base.metadata.create_all(bind=engine)
 
+# prefix used for all endpoints in this file
 licenses = APIRouter(prefix="/api/v1")
 
 
@@ -22,11 +23,17 @@ def get_db():
 
 @licenses.get("/licenses", response_model=List[schemas.License])
 def read_licenses(skip: int = 0, limit: int = 100, db: Session = Depends(get_db)):
+    """
+    Returns all licenses currently saved in database.
+    """
     licenses = crud.get_licenses(db, skip=skip, limit=limit)
     return licenses
 
 
 @licenses.post("/device-license", response_model=schemas.DeviceLicense)
 def create_device_license(device_license: schemas.DeviceLicenseCreate, db: Session = Depends(get_db)):
+    """
+    Creates entry for devices_licenses table thus connecting device with its license.
+    """
     print(crud.create_device_license(db=db, device=device_license.device_id, license=device_license.license_id,
                                      time=datetime.now()))
diff --git a/server/sql_app/api/licenses_web.py b/server/sql_app/api/licenses_web.py
index 46d4011..bfa9362 100644
--- a/server/sql_app/api/licenses_web.py
+++ b/server/sql_app/api/licenses_web.py
@@ -11,9 +11,12 @@ from fastapi.staticfiles import StaticFiles
 from fastapi.templating import Jinja2Templates
 
 models.Base.metadata.create_all(bind=engine)
-templates = Jinja2Templates(directory="templates/licenses")
-device_templates = Jinja2Templates(directory="templates/devices")
 
+# Path to html templates used in this file
+templates = Jinja2Templates(directory="../templates/licenses")
+device_templates = Jinja2Templates(directory="../templates/devices")
+
+# prefix used for all endpoints in this file
 licenses_web = APIRouter(prefix="/api/v1")
 
 
@@ -28,11 +31,17 @@ def get_db():
 
 @licenses_web.get("/license-create", response_class=HTMLResponse)
 async def licenses_create_web(request: Request):
+    """
+    Returns template with Form for creating new license.
+    """
     return templates.TemplateResponse("license_create.html", {"request": request})
 
 
 @licenses_web.get("/licenses-web", response_class=HTMLResponse)
 async def read_licenses_web(request: Request, skip: int = 0, limit: int = 100, db: Session = Depends(get_db)):
+    """
+    Returns template with all licenses currently saved in database
+    """
     licenses = crud.get_licenses(db, skip=skip, limit=limit)
     return templates.TemplateResponse("licenses.html", {"request": request, "licenses": licenses})
 
@@ -40,6 +49,9 @@ async def read_licenses_web(request: Request, skip: int = 0, limit: int = 100, d
 @licenses_web.post("/licenses-web", response_class=HTMLResponse)
 def create_license(request: Request, name: str = Form(...), expdate: date = Form(...), skip: int = 0, limit: int = 100,
                    db: Session = Depends(get_db)):
+    """
+    Endpoint called from create license form. Creates new license and returns template with all licenses in database
+    """
     db_license = crud.create_license(db, name, expdate)
     if db_license is None:
         print("something went wrong")
diff --git a/server/sql_app/api/pcs.py b/server/sql_app/api/pcs.py
index ba78f06..11ce207 100644
--- a/server/sql_app/api/pcs.py
+++ b/server/sql_app/api/pcs.py
@@ -6,6 +6,7 @@ from ..database import SessionLocal, engine
 
 models.Base.metadata.create_all(bind=engine)
 
+# prefix used for all endpoints in this file
 pcs = APIRouter(prefix="/api/v1")
 
 
@@ -20,17 +21,26 @@ def get_db():
 
 @pcs.post("/pc", response_model=schemas.PC)
 def create_pc(pc: schemas.PCCreate, db: Session = Depends(get_db)):
+    """
+    Endpoint used for creating new pc
+    """
     print(crud.create_pc(db=db, user=pc.username, host=pc.hostname))
 
 
 @pcs.get("/pcs", response_model=List[schemas.PC])
 def read_pcs(skip: int = 0, limit: int = 100, db: Session = Depends(get_db)):
+    """
+    Returns all pcs currently saved in database
+    """
     pcs = crud.get_pcs(db, skip=skip, limit=limit)
     return pcs
 
 
 @pcs.get("/pc/{pc_id}", response_model=schemas.PC)
 def read_pc(pc_id: int, db: Session = Depends(get_db)):
+    """
+    Returns one specific pc by given id
+    """
     db_pc = crud.get_pc(db, pc_id=pc_id)
     if db_pc is None:
         raise HTTPException(status_code=404, detail="Device not found")
diff --git a/server/sql_app/api/pcs_web.py b/server/sql_app/api/pcs_web.py
index a181380..000e771 100644
--- a/server/sql_app/api/pcs_web.py
+++ b/server/sql_app/api/pcs_web.py
@@ -9,8 +9,11 @@ from fastapi.staticfiles import StaticFiles
 from fastapi.templating import Jinja2Templates
 
 models.Base.metadata.create_all(bind=engine)
-templates = Jinja2Templates(directory="templates/pcs")
 
+# Path to html templates used in this file
+templates = Jinja2Templates(directory="../templates/pcs")
+
+# prefix used for all endpoints in this file
 pcs_web = APIRouter(prefix="/api/v1")
 
 
@@ -25,12 +28,18 @@ def get_db():
 
 @pcs_web.get("/pcs-web", response_class=HTMLResponse)
 async def read_pcs(request: Request, skip: int = 0, limit: int = 100, db: Session = Depends(get_db)):
+    """
+    Returns template with all pcs currently saved in database
+    """
     pcs = crud.get_pcs(db, skip=skip, limit=limit)
     return templates.TemplateResponse("pcs.html", {"request": request, "pcs": pcs})
 
 
 @pcs_web.get("/pc-team/{pc_id}", response_class=HTMLResponse)
 async def connect_pc_team(request: Request, pc_id: int, db: Session = Depends(get_db)):
+    """
+    Returns template with Form for connecting pc with team
+    """
     pc = crud.get_pc(db, pc_id)
     teams = crud.get_teams(db, 0, 100)
     return templates.TemplateResponse("pcteam.html",
@@ -40,6 +49,9 @@ async def connect_pc_team(request: Request, pc_id: int, db: Session = Depends(ge
 @pcs_web.post("/pcs-web/{pc_id}", response_class=HTMLResponse)
 async def connect_post(request: Request, pc_id: int, team: str = Form(...), skip: int = 0, limit: int = 100,
                        db: Session = Depends(get_db)):
+    """
+    Endpoint called from within form for connecting pc with team. Updates certain pc with new team.
+    """
     old_pc = crud.update_pc(db, pc_id, team)
     pcs = crud.get_pcs(db, skip=skip, limit=limit)
     return templates.TemplateResponse("pcs.html", {"request": request, "pcs": pcs})
diff --git a/server/sql_app/api/teams.py b/server/sql_app/api/teams.py
index b685b28..75c5072 100644
--- a/server/sql_app/api/teams.py
+++ b/server/sql_app/api/teams.py
@@ -7,6 +7,7 @@ from ..database import SessionLocal, engine
 
 models.Base.metadata.create_all(bind=engine)
 
+# prefix used for all endpoints in this file
 teams = APIRouter(prefix="/api/v1")
 
 # Dependency
@@ -20,17 +21,26 @@ def get_db():
 
 @teams.post("/team", response_model=schemas.Team)
 def create_device(team: schemas.TeamCreate, db: Session = Depends(get_db)):
+    """
+    Endpoint used for creating new pc
+    """
     print(crud.create_team(db=db, name=team.name))
 
 
 @teams.get("/teams", response_model=List[schemas.Device])
 def read_devices(skip: int = 0, limit: int = 100, db: Session = Depends(get_db)):
+    """
+    Returns all pcs saved in database
+    """
     teams = crud.get_teams(db, skip=skip, limit=limit)
     return teams
 
 
 @teams.get("/team/{team_id}", response_model=schemas.Device)
 def read_device(team_id: int, db: Session = Depends(get_db)):
+    """
+    Returns one specific team by given id
+    """
     db_team = crud.get_team(db, team_id=team_id)
     if db_team is None:
         raise HTTPException(status_code=404, detail="Device not found")
diff --git a/server/sql_app/api/teams_web.py b/server/sql_app/api/teams_web.py
index 20d31ac..a7423b7 100644
--- a/server/sql_app/api/teams_web.py
+++ b/server/sql_app/api/teams_web.py
@@ -10,8 +10,11 @@ from fastapi.staticfiles import StaticFiles
 from fastapi.templating import Jinja2Templates
 
 models.Base.metadata.create_all(bind=engine)
-templates = Jinja2Templates(directory="templates/teams")
 
+# Path to html templates used in this file
+templates = Jinja2Templates(directory="../templates/teams")
+
+# prefix used for all endpoints in this file
 teams_web = APIRouter(prefix="/api/v1")
 
 
@@ -26,18 +29,27 @@ def get_db():
 
 @teams_web.get("/teams-web", response_class=HTMLResponse)
 async def read_devices(request: Request, skip: int = 0, limit: int = 100, db: Session = Depends(get_db)):
+    """
+    Returns template with all teams currently saved in database
+    """
     teams = crud.get_teams(db, skip=skip, limit=limit)
     return templates.TemplateResponse("teams.html", {"request": request, "teams": teams})
 
 
 @teams_web.get("/team-create", response_class=HTMLResponse)
 async def team_create_web(request: Request):
+    """
+    Returns template with form for creating new team
+    """
     return templates.TemplateResponse("team_create.html", {"request": request})
 
 
 @teams_web.post("/teams-web", response_class=HTMLResponse)
 def create_team(request: Request, name: str = Form(...), skip: int = 0, limit: int = 100,
                    db: Session = Depends(get_db)):
+    """
+    Endpoint called from within form for creating new team. Creates new team and returns all teams in database
+    """
     team = crud.create_team(db, name)
     if team is None:
         print("something went wrong")
diff --git a/server/sql_app/api/usb_logs.py b/server/sql_app/api/usb_logs.py
index d07caee..2bf4067 100644
--- a/server/sql_app/api/usb_logs.py
+++ b/server/sql_app/api/usb_logs.py
@@ -7,6 +7,7 @@ from ..database import SessionLocal, engine
 
 models.Base.metadata.create_all(bind=engine)
 
+# prefix used for all endpoints in this file
 usblogs = APIRouter(prefix="/api/v1")
 
 
@@ -21,6 +22,11 @@ def get_db():
 
 @usblogs.post("/usb-logs", response_model=schemas.USBLog)
 def create_device_logs(log: schemas.USBTempBase, db: Session = Depends(get_db)):
+    """
+    Endpoint called from keyman detecting client. Parses timestamp into datetime object.
+    Finds if device and pc defined in message already exists and creates them if necessary.
+    Saves log into database
+    """
     dev = crud.find_device(db, log.device)
     dat = datetime.strptime(log.timestamp, '%Y-%m-%d %H:%M:%S')
     if dev is None:
@@ -34,6 +40,11 @@ def create_device_logs(log: schemas.USBTempBase, db: Session = Depends(get_db)):
 
 @usblogs.post("/ld-logs", response_model=schemas.LDLog)
 def create_ld_logs(log: schemas.LDTempBase, db: Session = Depends(get_db)):
+    """
+    Endpoint called from debugger detecting client. Parses timestamp into datetime object.
+    Finds if head device and body device defined in message already exists and creates them if necessary.
+    Saves log into database
+    """
     head_dev = crud.find_head_device(db, log.head_device)
     body_dev = crud.find_body_device(db, log.body_device)
     if head_dev is None:
@@ -50,12 +61,18 @@ def create_ld_logs(log: schemas.LDTempBase, db: Session = Depends(get_db)):
 
 @usblogs.get("/logs", response_model=List[schemas.USBLog])
 def read_logs(skip: int = 0, limit: int = 100, db: Session = Depends(get_db)):
+    """
+    Returns all usb logs saved in database
+    """
     items = crud.get_logs(db, skip=skip, limit=limit)
     return items
 
 
 @usblogs.get("/logs/{device_id}", response_model=List[schemas.USBLog])
 def read_log(device_id: int, db: Session = Depends(get_db)):
+    """
+    Returns one specific log by given id
+    """
     db_log = crud.get_log(db, device_id=device_id)
     if db_log is None:
         raise HTTPException(status_code=404, detail="Logs not found")
diff --git a/server/sql_app/api/usb_logs_web.py b/server/sql_app/api/usb_logs_web.py
index fbce50b..72bb220 100644
--- a/server/sql_app/api/usb_logs_web.py
+++ b/server/sql_app/api/usb_logs_web.py
@@ -10,8 +10,11 @@ from fastapi.staticfiles import StaticFiles
 from fastapi.templating import Jinja2Templates
 
 models.Base.metadata.create_all(bind=engine)
-templates = Jinja2Templates(directory="templates/usb-logs")
 
+# Path to html templates used in this file
+templates = Jinja2Templates(directory="../templates/usb-logs")
+
+# prefix used for all endpoints in this file
 usblogs_web = APIRouter(prefix="/api/v1")
 
 
@@ -26,6 +29,9 @@ def get_db():
 
 @usblogs_web.get("/logs-web", response_class=HTMLResponse)
 async def read_logs(request: Request, skip: int = 0, limit: int = 100, db: Session = Depends(get_db)):
+    """
+    Returns template with all usb logs currently saved in database with its pcs, teams and licenses.
+    """
     logs = crud.get_logs(db, skip=skip, limit=limit)
     pcs = []
     for log in logs:
@@ -42,6 +48,9 @@ async def read_logs(request: Request, skip: int = 0, limit: int = 100, db: Sessi
 async def filter_logs(request: Request, pc: str = Form("all"), team: str = Form("all"), lic: str = Form("all"),
                       skip: int = 0, limit: int = 100,
                       db: Session = Depends(get_db)):
+    """
+    Endpoint used for filtering usb logs by user given form inputs.
+    """
     log = crud.get_filtered_logs(db, pc, team, lic)
     logs_ids = []
     for l in log:
diff --git a/server/sql_app/crud.py b/server/sql_app/crud.py
index 239b6fb..eb3b7f8 100644
--- a/server/sql_app/crud.py
+++ b/server/sql_app/crud.py
@@ -6,20 +6,32 @@ from . import models, schemas
 
 
 def get_device(db: Session, device_id: int):
+    """
+    returns one specific devices by given id
+    """
     return db.query(models.Device).filter(models.Device.id == device_id).first()
 
 
 def get_devices(db: Session, skip: int = 0, limit: int = 100):
+    """
+    returns all devices in database
+    """
     return db.query(models.Device).offset(skip).limit(limit).all()
 
 
 def find_device(db: Session, device: schemas.DeviceBase):
+    """
+    finds one device with product_id, vendor_id and serial_number same as in given DeviceBase object
+    """
     return db.query(models.Device).filter(and_(models.Device.product_id == device.product_id,
                                                models.Device.vendor_id == device.vendor_id,
                                                models.Device.serial_number == device.serial_number)).first()
 
 
 def create_device(db: Session, device: schemas.DeviceBase):
+    """
+    creates new device with data from given DeviceBase object
+    """
     db_device = models.Device(vendor_id=device.vendor_id, product_id=device.product_id,
                               serial_number=device.serial_number, assigned=False)
     db.add(db_device)
@@ -29,18 +41,30 @@ def create_device(db: Session, device: schemas.DeviceBase):
 
 
 def get_license(db: Session, license_id: int):
+    """
+    returns one specific license by given id
+    """
     return db.query(models.License).filter(models.License.id == license_id).first()
 
 
 def get_licenses(db: Session, skip: int = 0, limit: int = 100):
+    """
+    returns all licenses in database
+    """
     return db.query(models.License).offset(skip).limit(limit).all()
 
 
 def find_license(db: Session, name: str):
+    """
+    finds one license by given string name
+    """
     return db.query(models.License).filter(models.License.name == name).first()
 
 
 def create_license(db: Session, name: str, expdate: date):
+    """
+    creates new license with given name and expiration date
+    """
     db_license = models.License(name=name, expiration_date=expdate)
     db.add(db_license)
     db.commit()
@@ -49,10 +73,16 @@ def create_license(db: Session, name: str, expdate: date):
 
 
 def get_license_devices(db: Session, license_id: int):
+    """
+    returns all entries in devices_licenses table
+    """
     return db.query(models.DeviceLicense).filter(models.DeviceLicense.license_id == license_id).all()
 
 
 def create_device_license(db: Session, device: int, license: int, time: datetime):
+    """
+    creates new entry in devices_licenses table with device id, license id and time.
+    """
     db_device_license = models.DeviceLicense(device_id=device, license_id=license,
                                              assigned_datetime=time)
     db.add(db_device_license)
@@ -62,14 +92,23 @@ def create_device_license(db: Session, device: int, license: int, time: datetime
 
 
 def find_pc_by_username(db: Session, name: str):
+    """
+    Finds one pc by given username
+    """
     return db.query(models.PC).filter(models.PC.username == name).first()
 
 
 def get_pc(db: Session, pc_id: int):
+    """
+    returns one specific pc by given id
+    """
     return db.query(models.PC).filter(models.PC.id == pc_id).first()
 
 
 def update_pc(db: Session, pc_id: int, team: str):
+    """
+    Function updates team of one specific pc
+    """
     old_pc = get_pc(db, pc_id)
     team = get_team(db, int(team))
     new = {'id': old_pc.id, 'username': old_pc.username, 'hostname': old_pc.hostname, 'assigned': True,
@@ -82,31 +121,52 @@ def update_pc(db: Session, pc_id: int, team: str):
 
 
 def get_pcs(db: Session, skip: int = 0, limit: int = 100):
+    """
+    returns all pcs in database
+    """
     return db.query(models.PC).offset(skip).limit(limit).all()
 
 
 def find_pc(db: Session, username: str, hostname: str):
+    """
+    Finds one pc with given username and hostname
+    """
     return db.query(models.PC).filter(and_(models.PC.username == username,
                                            models.PC.hostname == hostname)).first()
 
 
 def find_pc_by_name(db: Session, username: str):
+    """
+    Finds one pc by its username
+    """
     return db.query(models.PC).filter(models.PC.username == username).first()
 
 
 def find_pc_by_name_all(db: Session, username: str):
+    """
+    Finds all pcs with same username
+    """
     return db.query(models.PC).filter(models.PC.username == username).offset(0).limit(100).all()
 
 
 def find_pcs(db: Session, pcs: []):
+    """
+    Finds all pcs with ids in given id array
+    """
     return db.query(models.PC).filter(models.PC.id.in_(pcs)).all()
 
 
 def get_pcs_by_team(db: Session, team_id: int):
+    """
+    returns all pcs in given team by team id
+    """
     return db.query(models.PC).filter(models.PC.team_id == team_id).all()
 
 
 def create_pc(db: Session, user: str, host: str):
+    """
+    creates new pc with given username and hostname
+    """
     db_pc = models.PC(username=user, hostname=host, assigned=False)
     db.add(db_pc)
     db.commit()
@@ -115,18 +175,30 @@ def create_pc(db: Session, user: str, host: str):
 
 
 def get_team(db: Session, team_id: int):
+    """
+    returns one specific team wit given id
+    """
     return db.query(models.Team).filter(models.Team.id == team_id).first()
 
 
 def get_teams(db: Session, skip: int = 0, limit: int = 100):
+    """
+    returns all teams currently saved in database
+    """
     return db.query(models.Team).offset(skip).limit(limit).all()
 
 
 def find_team(db: Session, name: str):
+    """
+    Finds one specific team by its name
+    """
     return db.query(models.Team).filter(models.Team.name == name).first()
 
 
 def create_team(db: Session, name: str):
+    """
+    Creates new team with given name
+    """
     db_team = models.Team(name=name)
     db.add(db_team)
     db.commit()
@@ -135,18 +207,30 @@ def create_team(db: Session, name: str):
 
 
 def get_head_device(db: Session, head_id: int):
+    """
+    Returns one specific head device by given id
+    """
     return db.query(models.HeadDevice).filter(models.HeadDevice.id == head_id).first()
 
 
 def get_head_devices(db: Session, skip: int = 0, limit: int = 100):
+    """
+    Returns all head devices saved in database
+    """
     return db.query(models.HeadDevice).offset(skip).limit(limit).all()
 
 
 def find_head_device(db: Session, serial: schemas.HeadDeviceBase):
+    """
+    Finds one head device by its serial number
+    """
     return db.query(models.HeadDevice).filter(models.HeadDevice.serial_number == serial.serial_number).first()
 
 
 def create_head_device(db: Session, log: schemas.HeadDeviceBase):
+    """
+    Creates new head device
+    """
     db_head = models.HeadDevice(serial_number=log.serial_number)
     db.add(db_head)
     db.commit()
@@ -155,18 +239,30 @@ def create_head_device(db: Session, log: schemas.HeadDeviceBase):
 
 
 def get_body_device(db: Session, body_id: int):
+    """
+    Returns one specific body device by given id
+    """
     return db.query(models.BodyDevice).filter(models.BodyDevice.id == body_id).first()
 
 
 def get_body_devices(db: Session, skip: int = 0, limit: int = 100):
+    """
+    Returns all body devices saved in database
+    """
     return db.query(models.BodyDevice).offset(skip).limit(limit).all()
 
 
 def find_body_device(db: Session, serial: schemas.BodyDeviceBase):
+    """
+    Finds one body device by its serial number
+    """
     return db.query(models.BodyDevice).filter(models.BodyDevice.serial_number == serial.serial_number).first()
 
 
 def create_body_device(db: Session, log: schemas.BodyDeviceBase):
+    """
+    Creates new Body device
+    """
     db_body = models.BodyDevice(serial_number=log.serial_number)
     db.add(db_body)
     db.commit()
@@ -175,10 +271,16 @@ def create_body_device(db: Session, log: schemas.BodyDeviceBase):
 
 
 def get_ld_logs(db: Session, skip: int = 0, limit: int = 100):
+    """
+    Returns all ld debugger logs in database
+    """
     return db.query(models.LDLog).offset(skip).limit(limit).all()
 
 
 def create_ld_logs(db: Session, item: schemas.LDTempBase, head_id: int, body_id: int, pc_id: int, date: datetime):
+    """
+    Creates new ld log for ld_logs database table
+    """
     db_ld = models.LDLog(pc_id=pc_id, timestamp=date, status=item.status, head_id=head_id, body_id=body_id)
     db.add(db_ld)
     db.commit()
@@ -187,18 +289,31 @@ def create_ld_logs(db: Session, item: schemas.LDTempBase, head_id: int, body_id:
 
 
 def get_logs(db: Session, skip: int = 0, limit: int = 100):
+    """
+    Returns all usb logs in database ordered by timestamp
+    """
     return db.query(models.USBLog).order_by(desc(models.USBLog.timestamp)).offset(skip).limit(limit).all()
 
 
 def get_log(db: Session, device_id: int, skip: int = 0, limit: int = 100):
+    """
+    Returns all usb logs in database sorted by id
+    """
     return db.query(models.USBLog).filter(models.USBLog.device_id == device_id).offset(skip).limit(limit).all()
 
 
 def find_filtered_logs(db: Session, logs: []):
+    """
+    Returns all usb logs with ids in given id array.
+    """
     return db.query(models.USBLog).filter(models.USBLog.id.in_(logs)).order_by(desc(models.USBLog.timestamp)).all()
 
 
 def get_filtered_logs(db: Session, pc: str, tema: str, lic: str):
+    """
+    Function creates query string used for filtering by pc username, team name and license name.
+    Depending on selected filters assembles query string for database
+    """
     execute_string = "SELECT * FROM usb_logs AS logs"
     if pc != "all":
         pcs = find_pc_by_username(db, pc)
@@ -226,11 +341,15 @@ def get_filtered_logs(db: Session, pc: str, tema: str, lic: str):
         else:
             execute_string += " WHERE logs.device_id IN " + defin_ids
 
+    # executing assembled query string
     result = db.execute(execute_string)
     return result
 
 
 def create_device_logs(db: Session, item: schemas.USBTempBase, dev_id: int, pc_id: int, date: datetime):
+    """
+    Creates new USB log for usb_logs database table
+    """
     db_log = models.USBLog(pc_id=pc_id, timestamp=date, status=item.status, device_id=dev_id)
     db.add(db_log)
     db.commit()
diff --git a/server/sql_app/database.py b/server/sql_app/database.py
index 6db3630..842e1ac 100644
--- a/server/sql_app/database.py
+++ b/server/sql_app/database.py
@@ -1,18 +1,25 @@
 from sqlalchemy import create_engine
 from sqlalchemy.ext.declarative import declarative_base
 from sqlalchemy.orm import sessionmaker
-'''
+
+
+
+# used mainly for testing purposes. Creates local sqllite data file
 SQLALCHEMY_DATABASE_URL = "sqlite:///./sql_app.db"
 engine = create_engine(
     SQLALCHEMY_DATABASE_URL, connect_args={"check_same_thread": False}
 )
 '''
+
+# Defining connection url with postgresql database
 SQLALCHEMY_DATABASE_URL = "postgresql://postgres:postgres@10.5.0.5:5432/usb_api_db"
 
+# Creating engine for database communication
 engine = create_engine(
     SQLALCHEMY_DATABASE_URL
 )
-
+'''
+# Session maker for data transmissions
 SessionLocal = sessionmaker(autocommit=False, autoflush=False, bind=engine)
 
 Base = declarative_base()
\ No newline at end of file
diff --git a/server/sql_app/main.py b/server/sql_app/main.py
index 56e7830..f55ec4f 100644
--- a/server/sql_app/main.py
+++ b/server/sql_app/main.py
@@ -13,19 +13,22 @@ from fastapi import FastAPI
 
 
 app = FastAPI()
+
+# including routers for endpoints used by clients
 app.include_router(device)
 app.include_router(licenses)
 app.include_router(pcs)
 app.include_router(usblogs)
 app.include_router(teams)
 
+# including routers for endpoints called from web
 app.include_router(device_web)
 app.include_router(licenses_web)
 app.include_router(pcs_web)
 app.include_router(teams_web)
 app.include_router(usblogs_web)
 
-'''
+
 if __name__ == "__main__":
     uvicorn.run(app, host="192.168.0.22", port=8000)
-'''
+
